ZITADEL Docs
APIsCore ResourcesV2Settings

Get Password Expiry Settings

Get the password expiry settings for the requested context. This can be the instance or an organization. In case of an organization, the returned settings will fall back to the instance settings if not explicitly set on the organization.

Required permissions:

  • policy.read
GET
/v2/settings/password/expiry

Query Parameters

ctx.orgId?org_id
ctx.instance?instance

Response Body

application/json

curl -X GET "https://loading/v2/settings/password/expiry"
{
  "details": {
    "sequence": 0,
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string",
    "creationDate": "2023-01-15T01:30:15.01Z"
  },
  "settings": {
    "maxAgeDays": 0,
    "expireWarnDays": 0,
    "resourceOwnerType": "RESOURCE_OWNER_TYPE_UNSPECIFIED"
  }
}

Was this page helpful?